{% extends "base.html" %}
{% block title %}Registration failed{% endblock %}
{% block content %}
  <h1>Registration failed</h1>
  <p>Your account request has been rejected.</p>
  {% if reason == "captcha" %}
  <p>The CAPTCHA you provided was incorrect. Please try again.</p>
  {% elif reason == "likely_spammer" %}
  <p>Our systems have detected that your request is coming from a datacenter or IP address that has been previously associated with abuse. If you're using a VPN or cloud service, please try again without it. Alternatively, contact the infrastructure team via <a href="mailto:gitlab-account-request@gnome.org">e-mail</a> to request an account, including your preferred username and what you plan to use your account for.</p>
  {% elif reason == "disposable_email" %}
  <p>Disposable email addresses are not allowed. Please use a permanent e-mail address.</p>
  {% elif reason == "blacklisted_domain" %}
  <p>The email domain you are using has been blacklisted due to previous abuse.</p>
  {% elif reason == "email_conflict" %}
  <p>This e-mail address has already been taken. Please try again with a different e-mail address or reset your password.</p>
  {% elif reason == "username_conflict" %}
  <p>This username has already been taken. Please try again with a different username or reset your password.</p>
  {% elif reason == "username_invalid" %}
  <p>The username you provided is invalid. Usernames can only include non-accented letters, digits, underscores (_), hyphens (-) and dots (.). They must not start with a hyphen, end in a dot, or end in .git or .atom.</p>
  {% else %}
  <p>There was an error processing your request. Contact the infrastructure team via <a href="mailto:gitlab-account-request@gnome.org">e-mail</a>.</p>
  {% endif %}
{% endblock %}
